Bug 387131 - default device does not work
default device does not work
Product: Fedora
Classification: Fedora
Component: alsa-plugins (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-16 11:23 EST by The Source
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-26 17:37:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
alsa config (8.42 KB, application/octet-stream)
2007-11-16 11:23 EST, The Source
no flags Details

  None (edit)
Description The Source 2007-11-16 11:23:50 EST
Description of problem:
Applications fail to use alsa properly if alsa device is set to 'default' in
them. They only work if I specify something directly (hw=0.0). Not all
applications allow to configure alsa device in them however. I opened
/etc/alsa/alsa.conf to see which device is set to default there, but found very
strange script. There was no such script in Fedora 7. By the way this utility
still shows improper default device on the second tab. May be because of invalid
config. Config is attached.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 The Source 2007-11-16 11:23:50 EST
Created attachment 261431 [details]
alsa config
Comment 2 The Source 2007-11-16 14:01:13 EST
The problem seems to be in pulse audio plugin. I removed alsa-plugin-pulseaudio
and default device works now.
Comment 3 Martin Stransky 2007-11-26 17:37:24 EST
Yes, pulseaudio has been added to F8. Naturally, you don't have to use it...

Note You need to log in before you can comment on or make changes to this bug.